[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectWriter.WriteSignature

Write stream signature to the stream

## Declaration

Source position: classesh.inc line 1455

`public procedure TAbstractObjectWriter.WriteSignature; virtual; abstract;`

## Description

WriteSignature writes the streaming signature to a stream. This method does nothing, it must be implemented by descendents that have a signature header in the stream. (such as binary streams)

## See also

TAbstractObjectReader.ReadSignature |  | Read resource signature
TBinaryObjectWriter.WriteSignature |  | Write stream signature to the stream